com.mockobjects.sql

## Class CommonMockDataSource

- java.lang.Object
- - com.mockobjects.MockObject
  - - com.mockobjects.sql.CommonMockDataSource

- All Implemented Interfaces:
    Verifiable, java.sql.Wrapper, javax.sql.CommonDataSource, javax.sql.DataSource
  Direct Known Subclasses:
    MockDataSource

      public abstract class CommonMockDataSource
      extends MockObject
      implements javax.sql.DataSource

  Abstract DataSource for use with mock testing. Only the connection methods have been implemented here. If testing of the log methods is needed, please submit a patch.
  Version:
    $Revision: 1.1 $ $Date: 2002/08/27 16:34:04 $
  Author:
    Ted Husted
  See Also:
    javax.sql.DataSource

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommonMockDataSource()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.sql.Connection` | `getConnection()` Returns connection instance passed by setupConnection, and increments the number of connect calls.
    `java.sql.Connection` | `getConnection(java.lang.String username, java.lang.String password)` Calls notImplemented.
    `int` | `getLoginTimeout()` Calls notImplemented.
    `java.io.PrintWriter` | `getLogWriter()` Calls notImplemented.
    `void` | `setExpectedConnectCalls(int callCount)` Register the number of connections the test should make.
    `void` | `setLoginTimeout(int seconds)` Calls notImplemented.
    `void` | `setLogWriter(java.io.PrintWriter out)` Calls notImplemented.
    `void` | `setupConnection(java.sql.Connection aConnection)` Pass the connection instance for use with tests.

    - ### Methods inherited from class com.mockobjects.MockObject

      `notImplemented, notYetImplemented, verify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.sql.CommonDataSource

      `getParentLogger`

    - ### Methods inherited from interface java.sql.Wrapper

      `isWrapperFor, unwrap`

- - ### Constructor Detail

    - #### CommonMockDataSource

          public CommonMockDataSource()

  - ### Method Detail

    - #### setExpectedConnectCalls

          public void setExpectedConnectCalls(int callCount)

      Register the number of connections the test should make. The valid method will report any discrepancy with the actual count.

    - #### setupConnection

          public void setupConnection(java.sql.Connection aConnection)

      Pass the connection instance for use with tests. This instance will be returned until replaced with another.

    - #### getConnection

          public java.sql.Connection getConnection()

      Returns connection instance passed by setupConnection, and increments the number of connect calls.
      Specified by:
        `getConnection` in interface `javax.sql.DataSource`

    - #### getConnection

          public java.sql.Connection getConnection(java.lang.String username,
                                                   java.lang.String password)

      Calls notImplemented. Returns null.
      Specified by:
        `getConnection` in interface `javax.sql.DataSource`

    - #### getLoginTimeout

          public int getLoginTimeout()

      Calls notImplemented. Returns 0.
      Specified by:
        `getLoginTimeout` in interface `javax.sql.CommonDataSource`

    - #### getLogWriter

          public java.io.PrintWriter getLogWriter()

      Calls notImplemented. Returns null.
      Specified by:
        `getLogWriter` in interface `javax.sql.CommonDataSource`

    - #### setLoginTimeout

          public void setLoginTimeout(int seconds)

      Calls notImplemented.
      Specified by:
        `setLoginTimeout` in interface `javax.sql.CommonDataSource`

    - #### setLogWriter

          public void setLogWriter(java.io.PrintWriter out)

      Calls notImplemented.
      Specified by:
        `setLogWriter` in interface `javax.sql.CommonDataSource`

Copyright © 2002 Mock Objects. All Rights Reserved.